org.activiti.engine.delegate.event.impl

## Class ActivitiVariableEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiVariableEventImpl

- All Implemented Interfaces:
    ActivitiEvent, ActivitiVariableEvent

      public class ActivitiVariableEventImpl
      extends ActivitiEventImpl
      implements ActivitiVariableEvent

  Implementation of `ActivitiVariableEvent`.
  Author:
    Frederik Heremans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `taskId`
    `protected String` | `variableName`
    `protected org.activiti.engine.impl.variable.VariableType` | `variableType`
    `protected Object` | `variableValue`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiVariableEventImpl(ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTaskId()`
    `String` | `getVariableName()`
    `org.activiti.engine.impl.variable.VariableType` | `getVariableType()`
    `Object` | `getVariableValue()`
    `void` | `setTaskId(String taskId)`
    `void` | `setVariableName(String variableName)`
    `void` | `setVariableType(org.activiti.engine.impl.variable.VariableType variableType)`
    `void` | `setVariableValue(Object variableValue)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiVariableEvent

      `getExecutionId`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### variableName

          protected String variableName

    - #### variableValue

          protected Object variableValue

    - #### variableType

          protected org.activiti.engine.impl.variable.VariableType variableType

    - #### taskId

          protected String taskId

  - ### Constructor Detail

    - #### ActivitiVariableEventImpl

          public ActivitiVariableEventImpl(ActivitiEventType type)

  - ### Method Detail

    - #### getVariableName

          public String getVariableName()

      Specified by:
        `getVariableName` in interface `ActivitiVariableEvent`
      Returns:
        the name of the variable involved.

    - #### setVariableName

          public void setVariableName(String variableName)

    - #### getVariableValue

          public Object getVariableValue()

      Specified by:
        `getVariableValue` in interface `ActivitiVariableEvent`
      Returns:
        the current value of the variable.

    - #### setVariableValue

          public void setVariableValue(Object variableValue)

    - #### getVariableType

          public org.activiti.engine.impl.variable.VariableType getVariableType()

      Specified by:
        `getVariableType` in interface `ActivitiVariableEvent`
      Returns:
        The `VariableType` of the variable.

    - #### setVariableType

          public void setVariableType(org.activiti.engine.impl.variable.VariableType variableType)

    - #### getTaskId

          public String getTaskId()

      Specified by:
        `getTaskId` in interface `ActivitiVariableEvent`
      Returns:
        the id of the task the variable has been set on.

    - #### setTaskId

          public void setTaskId(String taskId)

Copyright © 2016 Alfresco. All rights reserved.